version: "3.7"

services:

  api:
    build: ./src/
    ports:
      - 5000:80
    environment:
      - ConnectionStrings__PostgresDb=Server=postgres;Database=homework3;Username=YuraB;Password=12345678;Port=5432

    depends_on:
      - postgres

  postgres:
    image: "postgres" # use latest official postgres version
    restart: always
    environment: # configure postgres 
        - POSTGRES_USER=YuraB
        - POSTGRES_DB=homework3
        - POSTGRES_PASSWORD=12345678
    ports: 
        - "5432:5432"
    volumes: # persist data even if container shuts down
        - postgres_data:/var/lib/postgresql/data/

  pgadmin-compose:
    image: dpage/pgadmin4
    environment:
        PGADMIN_DEFAULT_EMAIL: "yurabox85@mail.ru"
        PGADMIN_DEFAULT_PASSWORD: "12345678"

    ports:
        - "16543:80"
    depends_on:
        - postgres

volumes: # named volumes can be managed easier using docker-compose
  postgres_data: